# Contributing to ZONK 🚀

Thanks for your interest in contributing to **ZONK** – *Zarr Over NetCDF with
Kerchunk*! Whether you're fixing bugs, adding features, improving docs, or
just here to open an issue. 💥

## How to Contribute 🛠️

### Clone the repository

Start by cloning the repo and cloning it to your machine:

```consloe
git clone https://gitlab.dkrz.de/freva/plugins4freva/zonk.git
cd zonk
git checkout -b my-meaningful-branchname
```

### Setup the environment
Create the plugin development environment using make

```console
make dev
```

### Add your changes
Apply changes to the code. Once done run `make lint` to lint the code. Once done check if everything is correct by running

```console
make tests
```

### Commit push & Open Merge Request

Once you are happy with your changes commit and push them. Afterwards follow the displayed link to open a merge request

```console
git commit 
git push origin my-meaningful-branchname
```


## Code of Conduct 🤝

Be kind, inclusive, and respectful. We follow a Code of Conduct to ensure a welcoming environment.
Reporting Issues 🐛

## Found a bug? Have a feature idea? Open an issue! Include:

 -   What you expected.
 -   What happened instead.
 -   Steps to reproduce (if applicable).
 -   Environment info (Python version, OS, etc.).
